Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.myfaces.custom.navigation
Class HtmlPanelNavigation

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              javax.faces.component.UIPanel
                  javax.faces.component.html.HtmlPanelGroup
                      org.apache.myfaces.component.html.ext.HtmlPanelGroup
                          org.apache.myfaces.custom.navigation.HtmlPanelNavigation

All Implemented Interfaces:
  DisplayValueOnlyCapable, javax.faces.component.StateHolder, UserRoleAware

public class HtmlPanelNavigation
extends HtmlPanelGroup

Panel, that includes navigation items (`HtmlCommandNavigation`) and other components (separators).

Version:
  $Revision: 167257 $ $Date: 2004-10-13 07:51:02 -0400 (Wed, 13 Oct 2004) $
Author:
  Manfred Geiler (latest modification by $Author: matze $)

Field Summary
`static java.lang.String` | `COMPONENT_FAMILY`
`static java.lang.String` | `COMPONENT_TYPE`

Fields inherited from interface org.apache.myfaces.component.UserRoleAware
`ENABLED_ON_USER_ROLE_ATTR, VISIBLE_ON_USER_ROLE_ATTR`

Fields inherited from interface org.apache.myfaces.component.DisplayValueOnlyCapable
`DISPLAY_VALUE_ONLY_ATTR, DISPLAY_VALUE_ONLY_STYLE_ATTR, DISPLAY_VALUE_ONLY_STYLE_CLASS_ATTR`

Constructor Summary
`HtmlPanelNavigation()`

Method Summary
`void` | `decode(javax.faces.context.FacesContext context)`
`void` | `encodeBegin(javax.faces.context.FacesContext context)`
`java.lang.String` | `getActiveItemClass()`
`java.lang.String` | `getActiveItemStyle()`
`java.lang.String` | `getFamily()`
`java.lang.String` | `getItemClass()`
`java.lang.String` | `getItemStyle()`
`java.lang.String` | `getOpenItemClass()`
`java.lang.String` | `getOpenItemStyle()`
`java.lang.String` | `getSeparatorClass()`
`java.lang.String` | `getSeparatorStyle()`
`void` | `restoreOpenActiveStates(javax.faces.context.FacesContext facesContext, javax.faces.component.UIViewRoot previousRoot, java.util.List children)`
`void` | `restoreState(javax.faces.context.FacesContext context, java.lang.Object state)`
`java.lang.Object` | `saveState(javax.faces.context.FacesContext context)`
`void` | `setActiveItemClass(java.lang.String activeItemClass)`
`void` | `setActiveItemStyle(java.lang.String activeItemStyle)`
`void` | `setItemClass(java.lang.String itemClass)`
`void` | `setItemStyle(java.lang.String itemStyle)`
`void` | `setOpenItemClass(java.lang.String openItemClass)`
`void` | `setOpenItemStyle(java.lang.String openItemStyle)`
`void` | `setSeparatorClass(java.lang.String separatorClass)`
`void` | `setSeparatorStyle(java.lang.String separatorStyle)`

Methods inherited from class org.apache.myfaces.component.html.ext.HtmlPanelGroup
`getClientId, getDisplayValueOnlyStyle, getDisplayValueOnlyStyleClass, getEnabledOnUserRole, getVisibleOnUserRole, isDisplayValueOnly, isRendered, isSetDisplayValueOnly, setDisplayValueOnly, setDisplayValueOnlyStyle, setDisplayValueOnlyStyleClass, setEnabledOnUserRole, setVisibleOnUserRole`

Methods inherited from class javax.faces.component.html.HtmlPanelGroup
`getStyle, getStyleClass, setStyle, setStyleClass`

Methods inherited from class javax.faces.component.UIComponentBase
`addFacesListener, broadcast, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getFacesContext, getFacesListeners, getFacet, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, isTransient, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COMPONENT_TYPE

    public static final java.lang.String COMPONENT_TYPE

See Also:
  Constant Field Values

### COMPONENT_FAMILY

    public static final java.lang.String COMPONENT_FAMILY

See Also:
  Constant Field Values

Constructor Detail

### HtmlPanelNavigation

    public HtmlPanelNavigation()

Method Detail

### decode

    public void decode(javax.faces.context.FacesContext context)

### encodeBegin

    public void encodeBegin(javax.faces.context.FacesContext context)
                     throws java.io.IOException

  Throws:
    `java.io.IOException`

### restoreOpenActiveStates

    public void restoreOpenActiveStates(javax.faces.context.FacesContext facesContext,
                                        javax.faces.component.UIViewRoot previousRoot,
                                        java.util.List children)

### getFamily

    public java.lang.String getFamily()

### setItemClass

    public void setItemClass(java.lang.String itemClass)

### getItemClass

    public java.lang.String getItemClass()

### setOpenItemClass

    public void setOpenItemClass(java.lang.String openItemClass)

### getOpenItemClass

    public java.lang.String getOpenItemClass()

### setActiveItemClass

    public void setActiveItemClass(java.lang.String activeItemClass)

### getActiveItemClass

    public java.lang.String getActiveItemClass()

### setSeparatorClass

    public void setSeparatorClass(java.lang.String separatorClass)

### getSeparatorClass

    public java.lang.String getSeparatorClass()

### setItemStyle

    public void setItemStyle(java.lang.String itemStyle)

### getItemStyle

    public java.lang.String getItemStyle()

### setOpenItemStyle

    public void setOpenItemStyle(java.lang.String openItemStyle)

### getOpenItemStyle

    public java.lang.String getOpenItemStyle()

### setActiveItemStyle

    public void setActiveItemStyle(java.lang.String activeItemStyle)

### getActiveItemStyle

    public java.lang.String getActiveItemStyle()

### setSeparatorStyle

    public void setSeparatorStyle(java.lang.String separatorStyle)

### getSeparatorStyle

    public java.lang.String getSeparatorStyle()

### saveState

    public java.lang.Object saveState(javax.faces.context.FacesContext context)

  Specified by:
    `saveState` in interface `javax.faces.component.StateHolder`
  Overrides:
    `saveState` in class `HtmlPanelGroup`

### restoreState

    public void restoreState(javax.faces.context.FacesContext context,
                             java.lang.Object state)

  Specified by:
    `restoreState` in interface `javax.faces.component.StateHolder`
  Overrides:
    `restoreState` in class `HtmlPanelGroup`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD